{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>KEGIATAN | FARHAN</title>
{% endblock meta %}

{% block content %}

<section id="kegiatan" class="kegiatan">
<div class="container">
    <h1 style="text-align:center">Daftar Kegiatan</h1>

    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal" data-whatever="@mdo">Tambah Kegiatan</button>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Tambah Kegiatan</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <form method='POST'>
                {% csrf_token %}      
            <div class="form-group">
                <label for="recipient-name" class="col-form-label">Nama Kegiatan:</label>
                <input type="text" class="form-control" name='Nama_Kegiatan'>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                <button type="Submit" class="btn btn-primary">Tambahkan</button>
            </div>
            </form>
        </div>
        
        </div>
    </div>
    </div>
    <br>

    {% for kegiatan in semua_kegiatan %}
    <div class="card" style="width: 18rem;">
        <div class="card-header">
          {{kegiatan.Nama_Kegiatan}}
        </div>
        <ul class="list-group list-group-flush">
            {% for peserta in kegiatan.Daftar_Peserta.all %}
            <li class="list-group-item">{{Daftar_Peserta.Nama_Peserta}}</li>
        </ul>
            {% endfor %}
            <li class="list-group-item"></li>
      </div>
    {% endfor %}
</div>
</section>

{% endblock content %}
